#include <iostream>
#include <math.h>
//#include "konzola.h" // Pro Windows
using namespace std;


class bod
{
public:
	double x, y;
	bod(double _x, double _y)
	{
		x = _x; y = _y;
	}
};

double sqr(double x)
{
	return x*x;
}

double vzdalenost(bod A, bod B)
{
	return sqrt(sqr(A.x - B.x) + sqr(A.y + B.y));
}

double plocha_trojuhelnika(bod A, bod B, bod C)
{
	double a = vzdalenost(A, B);
	double b = vzdalenost(B, C);
	double c = vzdalenost(C, A);
	double s = (a + b + c) / 2;
	return sqrt(s*(s - a)*(s - b)*(s - c));
}

int main()
{
	//nastav_konzolu_pro_cp1250(); // Pro Windows
	bod A{ 0,0 }, B{ 0,1 }, C{ 1,0 };
	cout << "Plocha danho trojhelnka je " << plocha_trojuhelnika(A, B, C) << endl;
	return 0;
}