#include <iostream>
#include <stddef.h>
#include "konzola.h" // Jen Windows

using namespace std;

void prohod_radky(double A[][2], double b[])
{
	double pom;
	for (int i = 0; i < 2; i++)
	{
		pom = A[0][i];
		A[0][i] = A[1][i];
		A[1][i] = pom;
	}
	pom = b[0];
	b[0] = b[1];
	b[1] = pom;
}
 
bool reseni(double A[][2], double b[], double x[])
{
	double d = A[0][0] * A[1][1] - A[0][1] * A[1][0];
	if (d == 0.0)
	{
		return false;
	}
	x[0] = (A[1][1] * b[0] - A[0][1] * b[1]) / d;
	x[1] = (A[0][0] * b[1] - A[1][0] * b[0]) / d;
	return true;
}

int main()
{
	nastav_konzolu_pro_cp1250();// Jen Windows
	double x[2], b[] = { 5, 9 }, A[][2] = { {2,3},{4,5} };
	bool ma_reseni = reseni(A, b, x);
	if (ma_reseni)
		cout << x[0] << ", " << x[1] << endl;
	else
		cout << "Nem een" << endl;
}