#include <iostream>
#include "zakladni_usecka.h"
using namespace std;

void zakladni_usecka::proved_kresleni()
{
	cout << "<";
	pocatek.proved_kresleni();
	cout << "; ";
	konec.proved_kresleni();
	cout << ">";
}

void zakladni_usecka::proved_mazani()
{
	proved_kresleni();
}

zakladni_usecka * zakladni_usecka::klon()
{
	return new zakladni_usecka(*this);
}

zakladni_usecka::zakladni_usecka(zakladni_bod _pocatek, zakladni_bod _konec)
	:pocatek(_pocatek), konec(_konec)
{
}

zakladni_usecka::zakladni_usecka(int x1, int y1, int x2, int y2)
	: pocatek(x1, y1), konec(x2, y2)
{
}

zakladni_usecka::~zakladni_usecka()
{
	smaz();
}

zakladni_bod zakladni_usecka::get_pocatek()
{
	return pocatek;
}

zakladni_bod zakladni_usecka::get_konec()
{
	return konec;
}

void zakladni_usecka::set_pocatek(zakladni_bod _pocatek)
{
	pocatek = _pocatek;
}

void zakladni_usecka::set_konec(zakladni_bod _konec)
{
	konec = _konec;
}
