#include <locale>
#include "volba.h"

wstring volba::text_napovedy = LR"(
SORT - program pro seazen dek danho souboru. Pouit:
sort volba < vstupn-soubor > vstupn-soubor
Mon volby:
-n nebo /n     azen podle sel na potcch dek
-l nebo /l     lexikografick azen 

(C) Pikvorky software 2017
)";


volba::volba(int argc, char ** argv)
{
	if (argc != 2)
		napoveda();
	if ((argv[1][0] != '-') && (argv[1][0] != '/'))
		napoveda();
	switch (argv[1][1])
	{
	case 'l':
		zjistena_volba = lexikograficky;
		return;
	case 'n':
		zjistena_volba = numericky;
		return;
	default:
		napoveda();
	}
}

void volba::napoveda()
{
	wcerr.imbue(std::locale("Czech_Czech Republic.852"));
	wcerr << text_napovedy << endl;
	exit(1);
}

volba::zvoleno_t volba::zvoleno()
{
	return zjistena_volba;
}


