#include <sstream>
#include <locale>
#include <stdexcept>
#include <unordered_map>

#include "komparatory.h"
#include "inicializace.h"

using namespace std;

bool podle_cisel(string lajna1, string lajna2)
{
	istringstream vstup1(lajna1), vstup2(lajna2);
	int n1, n2;
	vstup1 >> n1;
	vstup2 >> n2;
	return n1 < n2;
}

bool lexikograficky(string lajna1, string lajna2)
{
	return lajna1 < lajna2;
}

string zastup(string);

bool abecedne(string lajna1, string lajna2)
{
	return zastup(lajna1) < zastup(lajna2);
}


char velke(char znak)
{
	if ((znak >= 'a') && (znak <= 'z'))
	{
		return znak - 'a' + 'A';
	}
	if (mala_na_velka.find(znak) != mala_na_velka.end())
	{
		return mala_na_velka[znak];
	}
	return znak;
}

string velke(string text)
{
	string vysledek;
	for (char p : text)
	{
		vysledek += velke(p);
	}
	return vysledek;
}

string zastup(string text)
{
	string primarni, sekundarni, pismeno;
	string TEXT = velke(text);
	for (unsigned i = 0; i < TEXT.length(); i++)
	{
		pismeno.clear();
		pismeno += TEXT[i];
		if ((slozena_pismena.find(TEXT[i]) != slozena_pismena.end()) &&
			(i + 1 < TEXT.length()) &&
			(TEXT[i + 1] == slozena_pismena[TEXT[i]]))
		{
			pismeno += slozena_pismena[TEXT[i]];
			i++;
		}
		primarni += uprava[pismeno].first;
		sekundarni += uprava[pismeno].second;
	}
	return primarni + ' ' + sekundarni;
}


