#include "abecedni_komparator.h"
#include "inicializace.h"

abecedni_komparator::abecedni_komparator()
{
	inicializator.inicializace_abecedniho_razeni(mala_na_velka, slozena_pismena, uprava);
}

bool abecedni_komparator::operator()(string lajna1, string lajna2)
{
	return zastup(lajna1) < zastup(lajna2);
}

char abecedni_komparator::velke(char znak)
{
	if ((znak >= 'a') && (znak <= 'z'))
	{
		return znak - 'a' + 'A';
	}
	if (mala_na_velka.find(znak) != mala_na_velka.end())
	{
		return mala_na_velka[znak];
	}
	return znak;
}

string abecedni_komparator::velke(string text)
{
	string vysledek;
	for (char p : text)
	{
		vysledek += velke(p);
	}
	return vysledek;
}

string abecedni_komparator::zastup(string text)
{
	string primarni, sekundarni, pismeno;
	string TEXT = velke(text);
	for (unsigned i = 0; i < TEXT.length(); i++)
	{
		pismeno.clear();
		pismeno += TEXT[i];
		if ((slozena_pismena.find(TEXT[i]) != slozena_pismena.end()) &&
			(i + 1 < TEXT.length()) &&
			(TEXT[i + 1] == slozena_pismena[TEXT[i]]))
		{
			pismeno += slozena_pismena[TEXT[i]];
			i++;
		}
		primarni += uprava[pismeno].first;
		sekundarni += uprava[pismeno].second;
	}
	return primarni + ' ' + sekundarni;
}


