#include <algorithm>
#include <iostream>
#include <stdlib.h>
#include "tridic.h"
#include "volba.h"
#include "komparatory.h"

void tridic::zpracuj(pair<volba::u_tovarna, bool> zvoleno)
{
	nacti();
	serad(zvoleno);
	vypis();
}


void tridic::nacti()
{
	while (getline(cin, radka))
	{
		soubor.push_back(radka);
	}
}

void tridic::serad(pair<volba::u_tovarna, bool> zvoleno)
{
	obal baleni{ zvoleno.first(), zvoleno.second };
	sort(soubor.begin(), soubor.end(), baleni);
	delete baleni.komp;
}

void tridic::vypis()
{
	for (auto lajna : soubor)
	{
		cout << lajna << endl;
	}
}
