#include <iostream>
#include "funkce.h"
using namespace std;

const int horni_mez_vstupu{12};
const int dolni_mez_vstupu{0};

int n;

int hodnota_faktorialu[horni_mez_vstupu+1]{1};

void faktorial_priprava()
{
    int i = 1;
    while(i <= horni_mez_vstupu)
    {
        hodnota_faktorialu[i] = i*hodnota_faktorialu[i-1];
        i++;
    }
}

int faktorial(int n)
{
    if(hodnota_faktorialu[1] == 0)
    {
        faktorial_priprava();
    }
    return hodnota_faktorialu[n];
}

bool vstup()
{
	cout << "Zadej cel slo: ";
	cin >> n;
	if (!cin)
	{
		cout << "Zadan hodnota nepedstavuje slo" << endl;
		return false;
	}
	return true;
}

int faktorial_rekurzivni(int m)
{
    if(m == 0)
    {
        return 1;
    }
    else
    {
        return m * faktorial_rekurzivni(m - 1);
    }
}

bool kontrola()
{
    return (n >= dolni_mez_vstupu) && (n <= horni_mez_vstupu);
}

void napoveda()
{
    cout << "Faktoril zadan hodnoty nelze spotat" << endl;
    cout << "Zadan hodnota mus bt cel slo mezi "
         << dolni_mez_vstupu << " a " << horni_mez_vstupu << endl;
}
