#include <iostream>
#include "graficky_objekt.h"

using namespace std;


void graficky_objekt::proved_kresleni()
{
	cout << "[" << barva << "]" << endl;
}

void graficky_objekt::proved_mazani()
{
	proved_kresleni();
}

graficky_objekt::graficky_objekt(int _barva)
	:nakreslen(false)
{
	set_barva(_barva);
}

graficky_objekt::~graficky_objekt()
{
	smaz();
	//cout << "destrukce grafickho objektu" << endl;
}

int graficky_objekt::get_barva()
{
	return barva;
}

void graficky_objekt::set_barva(int _barva)
{
	barva = _barva;
}

void graficky_objekt::nakresli()
{
	if (!nakreslen)
	{
		nakreslen = true;
		proved_kresleni();
	}
}

void graficky_objekt::smaz()
{
	if (nakreslen)
	{
		cout << "smazn ";
		nakreslen = false;
		proved_mazani();
	}
}

bool graficky_objekt::je_nakreslen()
{
	return nakreslen;
}

