#ifndef __USECKA_H__
#define __USECKA_H__

#include "zakladni_usecka.h"
#include "barva.h"
class usecka :
	public zakladni_usecka
{
	barva barva_usecky;
protected:
	virtual usecka* klon() override;
	virtual void proved_kresleni() override;
	virtual void proved_mazani() override;
public:
	usecka(int x1, int y1, int x2, int y2, barva _barva);
	usecka(zakladni_bod pocatek, zakladni_bod konec, barva _barva);
	~usecka();
	zakladni_bod get_pocatek();
	zakladni_bod get_konec();
	void set_pocatek(zakladni_bod _pocatek);
	void set_konec(zakladni_bod _konec);
	void set_barva(barva _barva);
	barva get_barva();
};

#endif